Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1102661

Description of problem:

I have thought about simple and usable feature (one JS command) "opening relevant tab depending on URL anchor".

This feature will be able to open  (bootstrap) tab after loading page. Anchor will be taken from URL.

This is the JS code:

$('a[href="'+window.location.hash+'"]').tab('show');

Reason:

In some situations, we want to execute some action in one of tabs and a WebUI redirects us to new page, there are only content of

previous tab.

Nice example:

When we want delete VM.

1. Open "Compute Resource" > some resource (in my case EC2) > "Virtual Machines".

2. We can see list of machines for this resource.

3. We open detail one of them and click on the button "Delete" (right side of page)

4. We are redirect to page, where is only list of VMs (mising bar of tabs).

We are redirect to https://&lt;fqdn&gt;/compute_resources/1-ec2-resource/vms.

I think that a better way would be to redirect users back to the resource detail and open tab with the list there. (something as 

https://&lt;fqdn&gt;/compute_resources/1-ec2-resource#vms)

History

#1 - 06/02/2014 04:33 PM - Dominic Cleal

- Category set to VM management

#2 - 06/15/2014 02:27 PM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

- Target version set to 1.8.1

#3 - 06/19/2014 03:58 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1514

#4 - 07/07/2014 07:23 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0
#5 - 07/30/2014 06:49 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#6 - 08/20/2014 06:50 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#7 - 09/10/2014 07:21 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#8 - 09/30/2014 10:42 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#9 - 10/01/2014 09:07 AM - Joseph Magen

- Status changed from Ready For Testing to Assigned

- Target version deleted (1.7.2)

Re-open https://github.com/theforeman/foreman/pull/1514 when this issue is re-addressed

#10 - 10/01/2014 09:08 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.7.2

- Pull request https://github.com/theforeman/foreman/pull/1514 added

- Pull request deleted ()

#11 - 07/23/2018 11:27 AM - Tomer Brisker

- Target version deleted (1.7.2)
